Skip to contents

List Methods

Usage

brapi_methods(con, ...)

Arguments

con

A brapi_connection() object.

...

Additional query parameters.

Value

A tibble with one row per measurement method.

BrAPI endpoint

GET /methods - see the v2.1 specification.

Query parameters the specification defines, which may be passed through ...:

methodDbId, observationVariableDbId.

See also

brapi_ontologies() and brapi_ontology() to resolve the ontology a method's ontologyDbId/ontologyReference points to.

Examples

# \donttest{
con <- brapi_connection("https://test-server.brapi.org")
brapi_methods(con)
#> # A tibble: 5 × 10
#>   additionalInfo externalReferences bibliographicalReference description formula
#>   <lgl>          <lgl>              <chr>                    <chr>       <chr>  
#> 1 NA             NA                 google.com               Standard r… a^2 + …
#> 2 NA             NA                 google.com               Standard r… a^2 + …
#> 3 NA             NA                 google.com               Standard r… a^2 + …
#> 4 NA             NA                 brapi.org                Weight on … kg per…
#> 5 NA             NA                 brapi.org                Match to a… NA     
#> # ℹ 5 more variables: methodClass <chr>, methodName <chr>, methodPUI <chr>,
#> #   ontologyReference <list>, methodDbId <chr>
# }